eID middleware |

# be.portugal.eid.PTEID_Crl Class Reference

Class that represents a CRL. More...

Inheritance diagram for be.portugal.eid.PTEID_Crl:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_Crl (String uri)
| Create a Crl object from using the uri (without any certificate link); As there is no issuer, this CRL can't be verify and some methods are not allowed (ex.
String | getUri () throws java.lang.Exception
| Return the uri of the CRL.
String | getIssuerName () throws java.lang.Exception
| Return the name of the issuer of the certificate.
PTEID_Certificate | getIssuer () throws java.lang.Exception
| Return the issuer certificate;.
PTEID_CrlStatus | getData (PTEID_ByteArray crl, boolean bForceDownload) throws java.lang.Exception
| Return the CRL as a byte array If the CRL comes from a certificate we verify the signature If the CRL is created from the URL only we DON'T verify the signature.
PTEID_CrlStatus | getData (PTEID_ByteArray crl) throws java.lang.Exception
| Return the CRL as a byte array If the CRL comes from a certificate we verify the signature If the CRL is created from the URL only we DON'T verify the signature.
## Protected Member Functions
| PTEID_Crl (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Crl obj)

## Detailed Description

Class that represents a CRL.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Crl.PTEID_Crl | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_Crl.PTEID_Crl | ( | String | uri | ) |

Create a Crl object from using the uri (without any certificate link); As there is no issuer, this CRL can't be verify and some methods are not allowed (ex.

getIssuer()). These methods throw a PTEID_ExBadUsage exception

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Crl.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Crl.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

static long be.portugal.eid.PTEID_Crl.getCPtr | ( | PTEID_Crl | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Crl.swigCPtr.

PTEID_CrlStatus be.portugal.eid.PTEID_Crl.getData | ( | PTEID_ByteArray | crl | ) | throws java.lang.Exception

Return the CRL as a byte array If the CRL comes from a certificate we verify the signature If the CRL is created from the URL only we DON'T verify the signature.

Parameters:

  | crl | will contain the crl. The CRL cache will be used by default

Returns:
  Status of the CRL

See also:
  PTEID_CrlStatus

References be.portugal.eid.PTEID_CrlStatus.swigToEnum().

PTEID_CrlStatus be.portugal.eid.PTEID_Crl.getData | ( | PTEID_ByteArray | crl,
|  | boolean | bForceDownload |
| ) |  |  | throws java.lang.Exception

Return the CRL as a byte array If the CRL comes from a certificate we verify the signature If the CRL is created from the URL only we DON'T verify the signature.

Parameters:

  | crl | will contain the crl
  | bForceDownload | if true, a new CRL will be downloaded, otherwise the CRL cache will be used

Returns:
  Status of the CRL

See also:
  PTEID_CrlStatus

References be.portugal.eid.PTEID_CrlStatus.swigToEnum().

PTEID_Certificate be.portugal.eid.PTEID_Crl.getIssuer | ( |  | ) | throws java.lang.Exception

Return the issuer certificate;.

if there is no issuer (root), a PTEID_ExCertNoIssuer exception is thrown

String be.portugal.eid.PTEID_Crl.getIssuerName | ( |  | ) | throws java.lang.Exception

Return the name of the issuer of the certificate.

String be.portugal.eid.PTEID_Crl.getUri | ( |  | ) | throws java.lang.Exception

Return the uri of the CRL.